stages:
  - docker-build-image
  - deploy-app


docker-build-image:
  stage: docker-build-image
  script:
    - sudo docker build . -t langernio:$CI_PIPELINE_ID -t langernio:latest

deploy-app:
  stage: deploy-app
  dependencies:
    - docker-build-image
  script:
    - export CI_PIPELINE_ID=$CI_PIPELINE_ID
    - sudo docker-compose up -d


